From 065d164a0a3c1e35c1130fadff1aec6563a27d17 Mon Sep 17 00:00:00 2001
From: PavanTarun <pavan.tarun@multicorewareinc.com>
Date: Wed, 29 Jan 2025 13:41:55 +0530
Subject: [PATCH] testbench: Fix segfault

---
 source/test/testharness.h | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/source/test/testharness.h b/source/test/testharness.h
index c72078a86..af49a910e 100644
--- a/source/test/testharness.h
+++ b/source/test/testharness.h
@@ -160,14 +160,14 @@ void PFX(checkasm_stack_clobber)(uint64_t clobber, ...);
         PFX(checkasm_stack_clobber)(m_rand, m_rand, m_rand, m_rand, m_rand, m_rand, m_rand, m_rand, \
                                     m_rand, m_rand, m_rand, m_rand, m_rand, m_rand, m_rand, m_rand, \
                                     m_rand, m_rand, m_rand, m_rand, m_rand), /* max_args+6 */ \
-        PFX(checkasm_call)((intptr_t(*)())reinterpret_cast<void*>(func), &m_ok, __VA_ARGS__))
+        PFX(checkasm_call)((intptr_t(*)())reinterpret_cast<void*>(func), &m_ok, 0, 0, 0, 0, __VA_ARGS__))
 
 #define checked_float(func, ...) ( \
         m_ok = 1, m_rand = (rand() & 0xffff) * 0x0001000100010001ULL, \
         PFX(checkasm_stack_clobber)(m_rand, m_rand, m_rand, m_rand, m_rand, m_rand, m_rand, m_rand, \
                                     m_rand, m_rand, m_rand, m_rand, m_rand, m_rand, m_rand, m_rand, \
                                     m_rand, m_rand, m_rand, m_rand, m_rand), /* max_args+6 */ \
-        PFX(checkasm_call_float)((float(*)())reinterpret_cast<void*>(func), &m_ok, __VA_ARGS__))
+        PFX(checkasm_call_float)((float(*)())reinterpret_cast<void*>(func), &m_ok, 0, 0, 0, 0, __VA_ARGS__))
 #define reportfail() if (!m_ok) { fflush(stdout); fprintf(stderr, "stack clobber check failed at %s:%d", __FILE__, __LINE__); abort(); }
 #elif ARCH_X86
 #define checked(func, ...) PFX(checkasm_call)((intptr_t(*)())func, &m_ok, __VA_ARGS__);
-- 
2.43.0

